=== contrib/SConstruct ===
# This is a skeleton recipe to simplify building some of these little
# utilities. They probably won't be useful to many users, and they probably
# won't get used on a daily basis, but someone might find them useful for
# tinkering with their gear.

# Note that ../gpsd_config.h is required and is built separately
#
# This file is Copyright (c) 2010-2018 by the GPSD project
# SPDX-License-Identifier: BSD-2-clause


ashctl = Program("ashctl", "ashctl.c")
binlog = Program("binlog", "binlog.c")
binreplay = Program("binreplay", "binreplay.c", parse_flags=['-lutil'])
clock_test = Program("clock_test", "clock_test.c", parse_flags=['-lm'])
lla2ecef = Program("lla2ecef", "lla2ecef.c", parse_flags=['-lm'])
motosend = Program("motosend", "motosend.c")

Default(ashctl, binlog, binreplay, clock_test, lla2ecef, motosend)
