=== debian/changelog ===
gpsd (3.20-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [58b18a53] apparmor: fix control socket usage for gpsdctrl (LP: #1790496)
    The subsequent access of the daemon to the device is covered already.
      # common serial paths to GPS devices
      /dev/tty{,S,USB,AMA,ACM}[0-9]*    rw,
    But gpsdctl itself isn't yet - therefore we see
      $ sudo gpsdctl add /dev/ttyUSB0
    triggering:
      apparmor="DENIED profile="/usr/sbin/gpsd" name="/run/gpsd.sock" requested_mask="r" denied_mask="r"
    This change adds a rule for that.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 01 Feb 2020 01:11:24 +0100

gpsd (3.20-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 12 Jan 2020 20:16:47 +0100

gpsd (3.20-2) experimental; urgency=medium

  * [4f1c9d4f] Merge branch 'non-linux' into 'master'
    Build fixes for non-Linux archs
    See merge request debian-gps-team/pkg-gpsd!2
  * [7196c903] Updating debian/control from debian/control.in
  * [2227686a] Redo changes accidentally done in d/control
  * [f3a7fb54] Add patch to fix soname.
    Went missing upstream somewhere
  * [49d89d24] Update gbp.conf for experimental

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2020 23:21:55 +0100

gpsd (3.20-1) unstable; urgency=medium

  * [9edad156] It is /dev/ttyACM[0-9]+, not /dev/ACM[0-9]+.
    Fix the apparmor profile. (Closes: #944521)
  * [13daa71f] Update upstream source from tag 'upstream/3.20'
    Update to upstream version '3.20'
    with Debian dir d2e29602486466a54dcd800a73e727aa3ef129ce
  * [51f56687] Refreshing patches.
  * [55d0b5b4] Updating changelog
  * [fd2a44f4] Fix gpsd.docs for asciidoc.
    Files were converted by upstream
  * [2da3f0f4] python-gps is gone, remove .install file also
  * [9759c33a] python3-gps.install: update for new file/module names.
  * [10f81da8] gpsd-dbg.install: update debug binaries
  * [f529940a] Updating symbols files
  * [5c851b49] Ignore the build-time test for xgps deps.
    We'll deliver them as dependency, no worries.
  * [32358c88] Use python_libdir instead of a mv hack.
  * [bf7651e1] Install soelim stubs instead of links for manpages.
    Seems to work fine, so why keep the extra work?
  * [7ee82f94] Remove chrpath hack. Not needed anymore it seems.
  * [55d2d180] Depend on asciidoc.
  * [c8f81b96] Don't install non-build-related python deps.
  * [aa045a15] libQgpsmm.3 is not yet compressed at install time
  * [cfa6a5d3] Fix shebang in the debug scripts
  * [53178b81] Updating changelog
  * [9133a8a2] Limit the shebang fix to python files only

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 04 Jan 2020 02:34:41 +0100

gpsd (3.19-3) unstable; urgency=medium

  * [ba252b48] Use one sconsign file per pickle version.
    Thanks to Graham Inggs (Closes: #945238)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Nov 2019 19:51:42 +0100

gpsd (3.19-2) unstable; urgency=medium

  * [06ae5582] Add debian/.gitlab-ci.yml
  * [b200620e] Update Vcs-Git Urls
  * [1991f99e] git is not available on buildds.
  * [809c6c4a] Remove weird env flag overrides
  * [85c4fbb7] snapshot changelog
  * [24e0be41] try again
  * [ede12b7b] Merge branch 'master' of salsa.debian.org:debian-gps-team/pkg-gpsd
  * [29fe8717] Remove options only used by the init script.
  * [0232f523] Scons ignores hardening-flags and others, try this.
  * [d163bdcd] Revert "Scons ignores hardening-flags and others, try this."
    This reverts commit 0232f52302f65f545118f653f787daf2429d0c0a.
  * [27d27ef5] A better try to fix scons env handling
  * [fc43714a] More fixes for the env-handling.
  * [9b34a869] Fix the broken fix
  * [6fd99707] Also merge CFLAGS/CXXFLAGS/...
  * [200cf80c] Also try to fix python cflags handling
  * [0dd50707] Use python3 for default scons things.
    After building the first version with python 3, the pickle version of
    the cached scons data will be too old.
  * [bbf652ee] Remove python2 support.
    Building both python versions got impossible since recent python3
    versions use a new picke version and scons stores its state in a pickle
    file...
  * [8eee1d20] Also remove dependencies on python-gps
  * [e3b30066] Updating debian/control from debian/control.in
  * [0332c8e5] Remove duplicate build-deps
  * [62b43a57] Updating changelog
  * [a8bbbce5] Use python3 for gpsd-clients
  * [288e9075] gpsd-clients breaks/replaces python-gps
  * [2f21db33] use aptly
  * [fd092a4d] Use python3-gi instead of python3-gtk
  * [0be9eebd] changes need to go into control.in
  * [a620b1d5] Depend on python3
  * [cbf832dd] Updating debian/control from debian/control.in

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Oct 2019 21:56:20 +0200
