=== doc/Makefile ===
explanation.html: $(shell ls *.xml)
	xmlto xhtml-nochunks internals.xml
