=== debian/changelog ===
gpsd (3.22-4) unstable; urgency=high

  * [2df40c76] Fix: GPSD time will jump back 1024 weeks at after week=2180
    (Closes: #991739)
  * [c6af361a] Fix patch

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Aug 2021 21:58:54 +0200

gpsd (3.22-3) unstable; urgency=medium

  * [c6838e37] Remove duplicate lines from symbol files.
    Thanks to Matthias Klose (Closes: #985930)
  * [5c240253] Mark String::QString(QString const&)@Base as optional.
    Required for backporting.
  * [2dfbaa07] Updating debian/control from debian/control.in
  * [c582b2aa] gpsd-tools: add missing Breaks+Replaces
    gpsd-tools needs Breaks/Replaces for gpsd-clients (<< 3.20-10)
    Thanks to Andreas Beckmann (Closes: #987208)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Apr 2021 12:17:57 +0200

gpsd (3.22-2) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [66691096] Update Apparmor profile from upstream git HEAD.
    Thanks to Christian Ehrhardt (Closes: #976152) (LP: #1894330)

  [ Christian Ehrhardt ]
  * [63f0cbf0] symbols: nanowait came back as (int, timespec*)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 Jan 2021 19:20:14 +0100

gpsd (3.22-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [d78fef17] Limit libsystemd-dev & libudev-dev build-deps as linux-any

  [ Bernd Zeimetz ]
  * [5afe80fe] New upstream version 3.22
  * [d23d0669] Updating debian/control from debian/control.in
  * [fde91987] libgps-dev: mark as M-A: same.
    Thanks to Lisandro Damián Nicanor Pérez Meyer (Closes: #912580)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Jan 2021 22:42:25 +0100

gpsd (3.21.99~rc1-2) unstable; urgency=medium

  * Uploading to unstable
  * [ac4c2cbe] add automatically generated rdep builder
  * [3420d64b] Revert "Updating gbp.conf for experimental"
    This reverts commit c524723236f6334db4605752172412707e7f2cb3.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 06 Jan 2021 01:36:36 +0100

gpsd (3.21.99~rc1-1) experimental; urgency=medium


  * [7936993f] Fixing git URLs
  * [3296cd58] removing extra linebreak
  * [8faaf157] Updating debian/control from debian/control.in
  * [c5247232] Updating gbp.conf for experimental
  * [4e2f5ac1] New upstream version 3.21.1~dev
  * [e01b4392] refreshing patches
  * [82d5b474] Addint matplotlib as dependency
  * [b905b4a6] snapshot changelog
  * [d415ffbd] remove gpsd build dir
  * [2a2d7e26] move dh_clean in order
  * [792171ef] Remove debian/source/options
  * [45c11a24] also remove buildtmp symlink
  * [b72ada42] add asciidoctor as build-dep
  * [704c85c4] Updating debian/control from debian/control.in
  * [8fa23322] remove gpsd-dbg package
  * [bf066735] Updating debian/control from debian/control.in
  * [18cf7d90] things happen in Sconscript, not sconstruct
  * [13d41b86] copy files from build dir
  * [448b12a0] Really ignore xgps deps check
  * [6b612ecf] add all the python stuff as build-dep
    tools are executed at build time
  * [61c389fe] Updating debian/control from debian/control.in
  * [04d323b3] python modules are pure python now
    no need to build for each python release
  * [c428275b] Build static library first, then the shared version
  * [a60bae70] add libsystemd-dev as build-dep
  * [5d5b5749] Updating debian/control from debian/control.in
  * [0ef4040b] add libudev-dev as build-dep
  * [3c09ab29] Updating debian/control from debian/control.in
  * [4cc239f6] tidy build-dir after static build
  * [a3991765] Fix filename of static library
  * [943cdb1e] No python c modules anymore
  * [7a0a4c1a] more fixes for SConstruct -> SConscript migration
  * [cf9802b0] scons fails to check xsltproc.
    force it
  * [520d0fb6] Don't call scons for clean.
    Just remove the builddir.
  * [3d6ad4ee] Remove upstream installed documentation
  * [01a55541] Install new gpsd-client tools.
  * [8ea6798e] install libgpsdpacket into python3-gps
  * [24703969] no python debug build anymore
  * [525cd475] Fix typo
  * [cf8b732e] install systemd service files
  * [1a5ac994] Update gpsd-clients.examples
  * [6ac6556e] install examples with dh_install
    dh_installexamples doesn't support #!/usr/bin/dh-exec....
  * [8bcc5152] Fix udev source location
  * [b317fad6] Updating symbols file
  * [90e3c370] Updating libgps symbols file.
    Also sorting it.
  * [112fdad9] Use scons systemd_install
  * [c2de2379] Add missing "" for c++ symbols
  * [88af2338] fix symbols
  * [5d4c7e4f] mark one more symbol as missing
  * [1814e3c1] New upstream version 3.21.99~rc1
  * [58d93d7d] Remove patch that is not needed anymore
  * [92242a31] snapshot changelog
  * [155be863] Updating debian/control from debian/control.in
  * [f2668dc0] try to build reverse-dep automatically
  * [44310e1a] gitlab ci fixes
  * [74f7bf91] actually enable job
  * [84eed5c3] assume yes for apt
  * [d557db05] remove old X-Python settings
  * [19770775] fix python3 shebangs
  * [dde6ae6a] add some more -y for apt
  * [f142e929] remove python2 shebang replacements

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jan 2021 17:05:16 +0100

gpsd (3.20-12) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b7a30c42] Disable reprotest on CI for now.
    Until somebody comes up with a fix.

  [ Christian Ehrhardt ]
  * [fccbcc8f] fix json missing quotes on device add (LP: #1879272)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 May 2020 09:04:54 +0200

gpsd (3.20-11) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [232c8d73] d/rules: fix ubxtool to use python3 in the gpsd package (LP: #1878158)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 12 May 2020 13:49:15 +0200

gpsd (3.20-10) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [7670b61e] exchange gpsd-client/tools content
  * [fb81a96a] examples also need to be in -clients instead of -tools then

