=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #uncomment if debhelper should be verbose
 #export DH_VERBOSE=1
 
-LIBGPS_SONAME := $(strip $(shell grep -E '^libgps_version_current' SConstruct | sed 's,.*=[^0-9]*\([0-9]*\).*,\1,'))
+LIBGPS_SONAME := $(strip $(shell grep -E '^libgps_version_current' SConscript | sed 's,.*=[^0-9]*\([0-9]*\).*,\1,'))
 
 export QT_SELECT=qt5
 
@@ -13,8 +13,8 @@
 LIBGPS_DEBIAN_FILE_TARGETS := $(strip $(shell echo $(LIBGPS_DEBIAN_FILE_SOURCES) | sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g'))
 
 #python versions
-PYTHONS := $(shell py3versions -r)
-PYTHON3 := $(shell py3versions -d)
+#PYTHON3 := $(shell py3versions -d)
+PYTHON3 := python3
 
 #debhelper version and settings needed for udev
 DH_VERSION := $(shell dpkg -s debhelper | grep '^Version' | awk '{print $$2}')
@@ -50,6 +50,8 @@
 
 ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	SCONSOPTS += manbuild=no
+else
+	SCONSOPTS += manbuild=yes
 endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -61,13 +63,13 @@
 #package names
 PACKAGE_GPSD := gpsd
 PACKAGE_CLIENTS := gpsd-clients
+PACKAGE_TOOLS := gpsd-tools
 PACKAGE_LIB := libgps$(LIB_soname)
 PACKAGE_QTLIB := libqgpsmm$(LIB_soname)
 PACKAGE_LIB_DEV := libgps-dev
 PACKAGE_QTLIB_DEV := libqgpsmm-dev
 PACKAGE_PY := python-gps
 PACKAGE_PY3 := python3-gps
-PACKAGE_GPSDDBG := gpsd-dbg
 
 
 cflags := $(shell dpkg-buildflags --get CFLAGS)
@@ -96,7 +98,7 @@
 			git commit -m 'Updating debian/control from debian/control.in' debian/control ;\
 		fi ;\
 
-SConstruct.deb_revision: SConstruct
+SConscript.deb_revision: SConscript
 	if [ ! -f $@ ]; then \
 		cp $< $@ ;\
 		sed -i '/^revision=/s/%(.*)/%("$(DEB_VERSION)",)/' $< ;\
@@ -106,40 +108,47 @@
 build-indep: build
 build-arch: build
 
-build: build-stamp build-static-stamp
-build-stamp: SConstruct.deb_revision
-	set -e; \
-	    for py in $(PYTHONS); do \
-	    	$(SCONS_ENV) $${py} /usr/bin/scons $(SCONSOPTS) target_python=$${py} ; \
-	    done
+build: build-stamp
+build-stamp: SConscript.deb_revision build-static-stamp
+	$(SCONS_ENV) $(PYTHON3) /usr/bin/scons shared=yes $(SCONSOPTS) target_python=$(PYTHON3)
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	# disable tests on hurd due to weird ipv6 errors
 	# http://deb.li/4C46AEAC.7040906@bzed.de
 ifeq (,$(findstring hurd,$(DEB_HOST_ARCH_OS)))
+
+	# remove those binary tests we can't patch with quilt.
+	rm -f test/daemon/garmin18x-bin.log
+	rm -f test/daemon/sirfstarv.log
+	rm -f test/daemon/trimble-lasseniq-bin2d.log
+	rm -f test/daemon/ublox-ned-m8t-sbfrx3.log
+	rm -f test/daemon/ublox-neo-m8t-s.log
+	rm -f test/daemon/ublox-neo-m8t.log
+	rm -f test/daemon/ublox-zed-f9p-hp.log
+	rm -f test/daemon/ublox-zed-f9p_hpg1.11.log
+	rm -f test/daemon/ublox-zed-f9t-rtcm3.log
+
 	-$(SCONS_ENV) $(PYTHON3) /usr/bin/scons check
 endif
 endif
-	# ensure the test tools are built
-	$(SCONS_ENV) $(PYTHON3) /usr/bin/scons $(SCONSOPTS) $(shell grep test_ debian/gpsd-dbg.install | grep -v '\.py' | awk '{print $$1}')
-	touch $@
-
-build-static-stamp: SConstruct.deb_revision
-	cp libgps_static.a libgps.a
+	touch $@
+
+build-static-stamp: SConscript.deb_revision
+	$(SCONS_ENV) $(PYTHON3) /usr/bin/scons shared=no $(SCONSOPTS) target_python=$(PYTHON3)
+	cp gpsd-*/libgps.a libgps.a
+	rm -rf gpsd-*
 	touch $@
 
 clean: debian/control
 	dh_testdir
 	dh_testroot
-	set -e; \
-	    for py in $(PYTHONS); do \
-	    	$(SCONS_ENV) $${py} /usr/bin/scons $(SCONSOPTS) target_python=$${py} --clean ; \
-	    done
-	$(SCONS_ENV) $(PYTHON3) /usr/bin/scons $(SCONSOPTS) sconsclean || true
-	# revert revision changes in SConstruct
-	if [ -f SConstruct.deb_revision ]; then \
-	    mv SConstruct.deb_revision SConstruct; \
+	# revert revision changes in SConscript
+	if [ -f SConscript.deb_revision ]; then \
+	    mv SConscript.deb_revision SConscript; \
 	fi
+	dh_clean
 	rm -rf \
+		buildtmp \
+		gpsd-* \
 	    .sconf_temp \
 	    .scons-option-cache \
 	    .sconsign.dblite \
@@ -153,23 +162,18 @@
 	    libgps.a \
 	    $(LIBGPS_DEBIAN_FILE_TARGETS) \
 	    __pycache__
-	dh_clean
-
-install: install-stamp
+: install-stamp
 install-stamp: build-stamp build-static-stamp $(LIBGPS_DEBIAN_FILE_TARGETS)
 	dh_testdir
 	dh_testroot
 	dh_prep
-	set -e ;\
-	    for py in $(PYTHONS); do \
-	    	$(SCONS_ENV) DESTDIR=`pwd`/debian/tmp $${py} /usr/bin/scons install $(SCONSOPTS) target_python=$${py} ;\
-	    done
+	$(SCONS_ENV) DESTDIR=`pwd`/debian/tmp $(PYTHON3) /usr/bin/scons install $(SCONSOPTS) target_python=$(PYTHON3)
+	$(SCONS_ENV) DESTDIR=`pwd`/debian/tmp $(PYTHON3) /usr/bin/scons systemd_install $(SCONSOPTS) target_python=$(PYTHON3)
 	# install static lib
 	cp libgps.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp INSTALL.adoc TROUBLESHOOTING.adoc
-	# install systemd files
-	mkdir -p debian/tmp/lib/systemd/system
-	cp systemd/* debian/tmp/lib/systemd/system
+	# we collect our own documentation
+	rm -rf debian/tmp/usr/share/doc/gpsd
 	# install everything
 	dh_install
 	# quirk to avoid issues by broken fakeroot misdetecting links as files and
@@ -177,13 +181,8 @@
 	ln -s libgps.so.$(LIBGPS_SONAME).0.0 debian/libgps$(LIBGPS_SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)/libgps.so.$(LIBGPS_SONAME)
 	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgps.so.$(LIBGPS_SONAME)
 	dh_missing --fail-missing
-	# use python3
-	sed -i 's,/usr/bin/env python,/usr/bin/env python3,' debian/gpsd-clients/usr/bin/*
-	sed -i 's,^#!python.*,#!/usr/bin/python3,' debian/*/usr/lib/gpsd/debug/*.py
-	touch $@
-
-
-install-indep: install
+	touch $@
+: install
 install-arch: install
 
 binary: install-stamp
@@ -198,17 +197,14 @@
 	dh_installsystemd -pgpsd --no-enable --no-start gpsd.service
 	dh_installinit --no-start
 	dh_installsystemd -pgpsd --restart-after-upgrade
-	dh_installexamples
 	chmod 755 debian/$(PACKAGE_PY3)/usr/lib/python3*/*-packages/gps/gps.py
-	dh_python3 -Ngpsd -Ngpsd-clients -Ngpsd-dbg
-	dh_python3 -pgpsd-dbg usr/lib/gpsd/debug
+	dh_python3 -Ngpsd-clients
 	dh_python3 -pgpsd-clients usr/bin
 	dh_python3 -pgpsd lib/udev/
-	cp $(CURDIR)/gpsd.rules $(CURDIR)/debian/gpsd.udev
+	cp $(CURDIR)/gpsd-*/gpsd.rules $(CURDIR)/debian/gpsd.udev
 	dh_installudev
 	dh_link
 	dh_strip --dbgsym-migration='gpsd-dbg (<< 3.16-4~)'
-	dh_buildinfo -p$(PACKAGE_GPSDDBG)
 	dh_compress
 	dh_fixperms  -Xgpsd.hotplug
 	dh_lintian
