=== debian/tests/control ===
Tests: check-service
Depends: gpsd, systemd, grep, coreutils, telnet
Restrictions: needs-root, isolation-container
